package com.qmth.cet.plug.contant;

import com.aventrix.jnanoid.jnanoid.NanoIdUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.util.List;
import java.util.Objects;

/**
 * @Description: 系统常量
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/11
 */
public class SystemConstant {
    private final static Logger log = LoggerFactory.getLogger(SystemConstant.class);

    /**
     * 系统常量
     */
    public static final String LOG_ERROR = "请求出错:{}";
    public static final String PREFIX_URL_CET_PLUG = "/cet/plug";
    public static final String UPDATE_TIME = "updateTime";
    public static final String SUCCESS = "success";
    public static final int MAX_QUERY_SIZE = 10;
    public static final int LOCK_TIME_OUT = 1800000;

    /**
     * 获取nanoId
     *
     * @return
     */
    public static String getNanoId() {
        return NanoIdUtils.randomNanoId();
    }

    /**
     * 解压目录
     *
     * @param mkdir
     * @param mkdirFileList
     * @return
     */
    public static List<File> analyzeDir(File mkdir, List<File> mkdirFileList) {
        if (!mkdir.exists() || !mkdir.isDirectory()) {
            return mkdirFileList;
        }
        File[] files = mkdir.listFiles();
        if (Objects.nonNull(files) && files.length > 0) {
            for (int i = 0; i < files.length; i++) {
                if (files[i].isDirectory() && !files[i].getAbsolutePath().endsWith("temp")) {
                    mkdirFileList.add(files[i]);
                    analyzeDir(files[i], mkdirFileList);
                }
            }
        }
        return mkdirFileList;
    }
}